(function () {

    var firebaseConfig = {
        apiKey: "AIzaSyAiY5NDpGl9G71E-lk3rHXPOZbhU7-5XwU",
        authDomain: "acp-chat-app.firebaseapp.com",
        databaseURL: "https://acp-chat-app-default-rtdb.firebaseio.com/",
        projectId: "acp-chat-app",
        storageBucket: "acp-chat-app.appspot.com",
        messagingSenderId: "318077922802",
        appId: "1:318077922802:web:f0ea197b1f5f3cd8364f6b"
      };
      firebase.initializeApp(firebaseConfig);

      const send_btn = document.querySelector('#chat-btn');
      const uuid = document.querySelector('#uuid').value;
      const sender_id = document.querySelector('#sender_id').value;
      const receiver_id = document.querySelector('#receiver_id').value;
      const sender_name = document.querySelector('#sender_name').value;
      const all_chats = document.querySelector('#all-chat');
      const chat_txt = document.querySelector('#chat-msg');

      send_btn.addEventListener('click', function () {
          sendMessage();
      });

      const fetchChat = firebase.database().ref( uuid + '/');
        fetchChat.on("child_added", function (snapshot) {
        const messages = snapshot.val();
        const msg = "<li>" + messages.usr + " : " + messages.msg + "</li>";
        console.log(msg);

        if(messages.sender_id == sender_id) {
            // console.log("NEW DATA 2");
            var right_msg = document.createElement("div");
            right_msg.innerHTML =
                        '<div class="chat-message right">' +
                            '<img class="message-avatar" src="/public/user_files/img/user-icon.jpg" alt="">' +
                            '<div class="message">' +
                                '<span class="message-author" href="#">'+ messages.sender_name +' </span>' +
                                '<span class="message-date">' + moment( messages.timestamp).fromNow() + '</span>' +
                                '<span class="message-content">' + messages.chat_msg +
                                '</span>' +
                            '</div>' +
                        '</div>';
            all_chats.appendChild(right_msg);

          }else {

            // console.log("NEW DATA 3");
            var left_msg = document.createElement("div");
            left_msg.innerHTML =
                '<div class="chat-message left">' +
                    '<img class="message-avatar" src="/public/user_files/img/user-icon.jpg" alt="">' +
                    '<div class="message">' +
                        '<span class="message-author" href="#">'+ messages.sender_name +' </span>' +
                        '<span class="message-date">' + moment( messages.timestamp).fromNow() + '</span>' +
                        '<span class="message-content">'  + messages.chat_msg +
                        '</span>' +
                    '</div>' +
                '</div>'
            all_chats.appendChild(left_msg);
          }
        });

    function sendMessage() {

        $('html').css('scroll-behavior', 'smooth');

        $('.chat-discussion').animate({
	    		scrollTop: $('.chat-discussion')[0].scrollHeight}, "slow");

        const timestamp = new Date().getTime();
        var chat_msg = document.querySelector('#chat-msg');

        if(chat_msg.value.trim()){
            firebase.database().ref(uuid + "/" + timestamp).set({
                sender_id: sender_id,
                sender_name: sender_name,
                timestamp: timestamp,
                chat_msg: chat_msg.value
            }).then( function () {
                console.log("Saved");
            }).catch(function (error) {
                console.log("Error: ", error);
            }).finally(function () {
                console.log("finally");
                chat_msg.value = "";
            });
        }
      }

})();
