<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Ledger Report</h6>
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">
                                <?php if(!empty($matchedAccount->name_of_organisation)): ?>
                                    <?php echo e($matchedAccount->name_of_organisation); ?>

                                <?php else: ?>
                                    No organization name available.
                                <?php endif; ?>
                            </h6>
                            <h6 class="">Date: <span><?php echo e($from_date); ?></span> To <span><?php echo e($to_date); ?></span>
                            </h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                            <!-- <a href="client-add-expenses.html">
                                        <button class="btn btn-cust2 float-right" type="submit">
                                            <i class="fas fa-mail-bulk"></i>Email (PDF Formate)
                                            </button>
                                    </a>
                                    <a href=""><button type="button" class="btn btn-cust2 float-right waves-effect waves-light">
                                         <i class="fas fa-print">Print </i> & <i class="fas fa-file-pdf">PDF Formate</i>
                                    </button></a> -->
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div class="row">

                        <div class="col-md-12">
                            <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Date</th>
                                            <th>Voucher Description</th>
                                            <th>Debit</th>
                                            <th>Credit</th>
                                        </tr>
                                    </thead>

                                    


                                    <tbody>
                                        <?php
                                        $debitTotal = 0;
                                        $creditTotal = 0;
                                        $PurchaesInvoiceTotal = 0;
                                        $SaleInvoiceTotal = 0;
                                        $JournalVoucherTotal = 0;
                                        $ReceiptVoucherTotal = 0;
                                        $PaymentVoucherTotal = 0;
                                        $CreditNoteTotal = 0;
                                        $DebitNoteTotal = 0;
                                        $DeliveryNoteTotal = 0;
                                        $PurchaseOrderTotal = 0;
                                        $QuotationTotal = 0;
                                        $CreateOpeningBalance = 0;
                                        $CreateCreditOb = 0;
                                        $CreateDebitOb = 0;

                                        // $currentYearFirstDate = date('Y-m-d', strtotime(date('Y-01-01')));

                                        // $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

                                        $matchedAccountDate = optional($matchedAccount)->date;

                                        if (!empty($matchedAccount)) {
                                            $debitCardValue = optional($matchedAccount)->debit_card;
                                            $matchedAccountDate = optional($matchedAccount)->date;

                                            if ($matchedAccountDate >= $from_date &&
                                                $matchedAccountDate <= $to_date) {
                                                if ($debitCardValue === 'Debit') {
                                                    $CreateDebitOb = optional($matchedAccount)->opening_balance;
                                                } elseif ($debitCardValue === 'Credit') {
                                                    $CreateCreditOb = optional($matchedAccount)->opening_balance;
                                                }
                                            }
                                        }

                                        // $matchedAccountDate = optional($matchedAccount)->date;

                                        // if (!empty($matchedAccount) &&
                                        //     $matchedAccountDate >= $currentYearFirstDate &&
                                        //     $matchedAccountDate <= $oneDayPreviousDate) {
                                        //     $CreateOpeningBalance = optional($matchedAccount)->opening_balance;
                                        // }

                                        foreach ($PurchaesInvoice as $Pinvoice) {
                                            $PurchaesInvoiceTotal += $Pinvoice->total_net_amount;
                                        }

                                        foreach ($SaleInvoice as $Sinvoice) {
                                            $SaleInvoiceTotal += $Sinvoice->total_net_amount;
                                        }

                                        foreach ($JournalVoucher as $Jinvoice) {
                                            $JournalVoucherTotal += $Jinvoice->total_net_amount;
                                        }

                                        foreach ($ReceiptVoucher as $RVoucher) {
                                            $ReceiptVoucherTotal += $RVoucher->expense->sum('amount');
                                        }

                                        foreach ($PaymentVoucher as $PVoucher) {
                                            $PaymentVoucherTotal += $PVoucher->expense->sum('amount');
                                        }
                                        foreach ($CreditNote as $CNote) {
                                            $CreditNoteTotal += $CNote->total_net_amount;
                                        }
                                        foreach ($DebitNote as $DNote) {
                                            $DebitNoteTotal += $DNote->total_net_amount;
                                        }
                                        foreach ($PurchaseOrder as $POrder) {
                                            $PurchaseOrderTotal += $POrder->total_net_amount;
                                        }
                                        foreach ($Quotation as $Q) {
                                            $QuotationTotal += $Q->total_net_amount;
                                        }

                                        $debitTotal = $CreateDebitOb + $SaleInvoiceTotal + $JournalVoucherTotal + $PaymentVoucherTotal + $DebitNoteTotal;

                                        $creditTotal = $PurchaesInvoiceTotal + $ReceiptVoucherTotal + $CreateCreditOb  + $JournalVoucherTotal + $CreditNoteTotal;

                                        ?>

                                        <?php if(optional($matchedAccount)->opening_balance !== null &&
                                        optional($matchedAccount)->date >= $from_date &&
                                        optional($matchedAccount)->date <= $to_date): ?>
                                        <tr>
                                            <td><?php echo e(optional($matchedAccount)->date); ?></td>
                                            <td>Opening balance # <?php echo e(optional($matchedAccount)->name_of_organisation); ?></td>
                                            <td>
                                                <?php if(optional($matchedAccount)->debit_card === 'Debit'): ?>
                                                    <?php echo e(optional($matchedAccount)->opening_balance); ?>

                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if(optional($matchedAccount)->debit_card === 'Credit'): ?>
                                                    <?php echo e(optional($matchedAccount)->opening_balance); ?>


                                                <?php endif; ?>
                                            </td>
                                        </tr>
                                        <?php endif; ?>

                                        




                                        <?php $__currentLoopData = $allData->sortBy('date'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(is_object($data)): ?>
                                    <tr>
                                        <td>
                                            <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\CreditNote): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\DebitNote): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\AdminReceiptVoucher): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\AdminPaymentVoucher): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\AdminPurchaesInvoice): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\AdminJournalVoucher): ?>
                                                <?php echo e($data->date); ?>

                                            <?php elseif($data instanceof \App\Quotation): ?>
                                                <?php echo e($data->date); ?>

                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                <span><strong><a href="<?php echo e(route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $data->id])); ?>">Sales#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\CreditNote): ?>
                                                <span><strong><a href="<?php echo e(route('crusher.credit_notes.show', ['credit_note' => $data->id])); ?>">Credit Note#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\DebitNote): ?>
                                                <span><strong><a href="<?php echo e(route('crusher.debit_notes.show', ['debit_note' => $data->id])); ?>">Debit Note#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\AdminReceiptVoucher): ?>
                                                <span><strong><a href="<?php echo e(route('crusher.receipt_vouchers.show', ['receipt_voucher' => $data->id])); ?>">Receipt#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\AdminPaymentVoucher): ?>
                                                <span><strong><a href="<?php echo e(route('crusher.payment_vouchers.show', ['payment_voucher' => $data->id])); ?>">Payment#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\AdminPurchaesInvoice): ?>
                                                <span><strong><a href="<?php echo e(route('crusher.purchase_invoices.show', ['purchase_invoice' => $data->id])); ?>">Purchase#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\AdminJournalVoucher): ?>
                                                <span><strong><a href="<?php echo e(route('crusher.journal_vouchers.show', ['journal_voucher' => $data->id])); ?>">Journal#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\Quotation): ?>
                                                <span><strong><a href="<?php echo e(route('crusher.quotations.show', ['quotation' => $data->id])); ?>">Quatation#
                                                    <?php echo e($data->invoice_no); ?></a></strong></span>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    // $saleInvoiceTotal += $data->total_net_amount;
                                                ?>
                                            <?php elseif($data instanceof \App\DebitNote): ?>
                                                <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    // $DebitNoteTotal += $data->total_net_amount;
                                                ?>
                                            <?php elseif($data instanceof \App\AdminJournalVoucher): ?>
                                                <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    // $JournalVoucherTotal += $data->total_net_amount;
                                                ?>
                                            <?php elseif($data instanceof \App\Quotation): ?>
                                                <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                                <?php
                                                    // $QuotationTotal += $data->total_net_amount;
                                                ?>
                                            <?php elseif($data instanceof \App\AdminReceiptVoucher): ?>
                                                <?php if(isset($data->mergedExpenses)): ?>
                                                    <?php $__currentLoopData = $data->mergedExpenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php echo e(number_format($expense['total_amount'], session('branch')->currency_decimal)); ?>

                                                        <?php
                                                            // $ReceiptVouchersTotal += $expense['total_amount'];
                                                        ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminPurchaesInvoice): ?>
                                                <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                            <?php elseif($data instanceof \App\CreditNote): ?>
                                                <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                            <?php elseif($data instanceof \App\AdminPaymentVoucher): ?>
                                                <?php if(isset($data->mergedExpenses)): ?>
                                                    <?php $__currentLoopData = $data->mergedExpenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php echo e(number_format($expense['total_amount'], session('branch')->currency_decimal)); ?>

                                                        <?php
                                                            // $PaymentVouchersTotal += $expense['total_amount'];
                                                        ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                    <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



                                        <tr>
                                            <td></td>
                                            <td>Opening Balance</td>
                                            <td>
                                                <?php if($DebitopeningBalance !== null && $DebitopeningBalance !== '' && $DebitopeningBalance !== 0): ?>
                                                    <strong><?php echo e(number_format($DebitopeningBalance, session('branch')->currency_decimal)); ?></strong>
                                                <?php else: ?>

                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if($creditOpeningBalance !== null && $creditOpeningBalance !== '' && $creditOpeningBalance !== 0): ?>
                                                    <strong><?php echo e(number_format($creditOpeningBalance, session('branch')->currency_decimal)); ?></strong>
                                                <?php else: ?>

                                                <?php endif; ?>
                                            </td>
                                            
                                            

                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>Current Balance</td>
                                            
                                            <td>
                                                <?php if($debitTotal !== null && $debitTotal !== '' && $debitTotal !== 0): ?>
                                                    <strong><?php echo e(number_format($debitTotal, session('branch')->currency_decimal)); ?></strong>
                                                <?php else: ?>

                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if($creditTotal !== null && $creditTotal !== '' && $creditTotal !== 0): ?>
                                                    <strong><?php echo e(number_format($creditTotal, session('branch')->currency_decimal)); ?></strong>
                                                <?php else: ?>

                                                <?php endif; ?>
                                            </td>
                                            
                                        </tr>
                                        <?php
                                        // Closing Balance

                                        $DebitCB = $debitTotal + $DebitopeningBalance;

                                        $CreditCB = $creditTotal + $creditOpeningBalance;

                                        $ClosingBalance = $DebitCB - $CreditCB;

                                        ?>
                                        <tr>
                                            <td></td>
                                            <td>Closing Balance</td>
                                            <td><?php echo e($ClosingBalance >= 0 ? number_format($ClosingBalance, session('branch')->currency_decimal) : ''); ?> </td>
                                            <td><?php echo e($ClosingBalance < 0 ? number_format(abs($ClosingBalance), session('branch')->currency_decimal) : ''); ?></td>
                                        </tr>
                                        <?php if(empty($PurchaesInvoice) && empty($SaleInvoice) && empty($JournalVoucher) && empty($ReceiptVoucher) && empty($PaymentVoucher) && empty($CreditNote) && empty($DebitNote) && empty($PurchaseOrder) && empty($Quotation)): ?>
                                            <tr>
                                                <td colspan="4">No data available</td>
                                            </tr>
                                        <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/reports/ledger-report.blade.php ENDPATH**/ ?>