<?php $__env->startSection('content'); ?>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Stock Report
                            </h6>
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">Item Name: <span><?php echo e($item->name); ?></span></h6>
                            <h6 class="">Date: <span><?php echo e($from_date); ?></span> To <span><?php echo e($to_date); ?></span></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                        <table  class="table table-hover table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th class="text-center">Date</th>
                                    <th class="text-center">Account Name</th>
                                    <th class="text-center">Voucher Description</th>
                                    <th class="text-center" colspan="3">Inward</th>
                                    <th class="text-center" colspan="4">Outward</th>
                                </tr>
                                <tr>
                                    <th></th>
                                    <th></th>
                                    <th></th>
                                    <th>QTY</th>
                                    <th>Rate</th>
                                    <th>Net Total</th>
                                    <th>QTY</th>
                                    <th>Rate</th>
                                    <th>Net Total</th>
                                    <th>Profit</th>
                                </tr>
                            </thead>

                            <tbody>
                                <?php
                                    $PurchaseTotalQuantity = 0;
                                    $PurchaseRateUnit = 0;
                                    $PurchaseNetAmount = 0;

                                    $obInventoryTotalQuantity = 0;
                                    $obInventoryRateUnit = 0;
                                    $obInventoryNetAmount = 0;

                                    $SaleTotalQuantity = 0;
                                    $SaleRateUnit = 0;
                                    $SaleNetAmount = 0;
                                    $SaleProfits = 0;

                                    $CreditNoteTotalQuantity = 0;
                                    $CreditNoteRateUnit = 0;
                                    $CreditNoteNetAmount = 0;
                                    $CreditNoteProfits = 0;

                                    $DebitNoteTotalQuantity = 0;
                                    $DebitNoteRateUnit = 0;
                                    $DebitNoteNetAmount = 0;
                                    $DebitNoteProfits = 0;
                                ?>
                                
                                


                                <?php $__currentLoopData = $allData->sortBy('date'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(is_object($data)): ?>
                                    <tr>
                                        <td>
                                            <?php if($data instanceof \App\AdminPurchaesInvoice): ?>
                                                <?php echo e($data['date']); ?>

                                            <?php elseif($data instanceof \App\AdminSalesInvoice): ?>
                                                <?php echo e($data['date']); ?>

                                            <?php elseif($data instanceof \App\CreditNote): ?>
                                                <?php echo e($data['date']); ?>

                                            <?php elseif($data instanceof \App\DebitNote): ?>
                                                <?php echo e($data['date']); ?>

                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminPurchaesInvoice): ?>
                                                <?php echo e($data['customer']['name_of_organisation'] ??
                                                    $data['supplier']['name_of_organisation'] ??
                                                    $data['Expense']['account_name'] ??
                                                    $data['AdminOtherAccount']['account_name'] ??
                                                    // $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                                    ''); ?>

                                            <?php elseif($data instanceof \App\AdminSalesInvoice): ?>
                                                <?php echo e($data['customer']['name_of_organisation'] ??
                                                    $data['supplier']['name_of_organisation'] ??
                                                    $data['Expense']['account_name'] ??
                                                    $data['AdminOtherAccount']['account_name'] ??
                                                    // $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                                    ''); ?>

                                            <?php elseif($data instanceof \App\CreditNote): ?>
                                                <?php echo e($data['customer']['name_of_organisation'] ??
                                                    $data['supplier']['name_of_organisation'] ??
                                                    $data['Expense']['account_name'] ??
                                                    $data['AdminOtherAccount']['account_name'] ??
                                                    // $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                                    ''); ?>

                                            <?php elseif($data instanceof \App\DebitNote): ?>
                                                <?php echo e($data['customer']['name_of_organisation'] ??
                                                    $data['supplier']['name_of_organisation'] ??
                                                    $data['Expense']['account_name'] ??
                                                    $data['AdminOtherAccount']['account_name'] ??
                                                    // $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                                    ''); ?>

                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminPurchaesInvoice): ?>
                                                <span><strong><a href="<?php echo e(route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $data['id']])); ?>">Purchase#
                                                    <?php echo e($data['invoice_no']); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\AdminSalesInvoice): ?>
                                                <span><strong><a href="<?php echo e(route('crusher.credit_notes.show', ['credit_note' => $data['id']])); ?>">Sales#
                                                    <?php echo e($data['invoice_no']); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\CreditNote): ?>
                                                <span><strong><a href="<?php echo e(route('crusher.debit_notes.show', ['debit_note' => $data['id']])); ?>">Credit Note#
                                                    <?php echo e($data['invoice_no']); ?></a></strong></span>
                                            <?php elseif($data instanceof \App\DebitNote): ?>
                                                <span><strong><a href="<?php echo e(route('crusher.purchase_invoices.show', ['purchase_invoice' => $data['id']])); ?>">Debit Note#
                                                    <?php echo e($data['invoice_no']); ?></a></strong></span>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminPurchaesInvoice): ?>
                                                    <?php echo e($data['quantity']); ?>

                                                <?php
                                                    $PurchaseTotalQuantity += $data['quantity'];
                                                ?>
                                             <?php elseif($data instanceof \App\DebitNote): ?>
                                                    <?php echo e(-$data['quantity']); ?>

                                                <?php
                                                    $DebitNoteTotalQuantity += $data['quantity'];
                                                ?>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminPurchaesInvoice): ?>
                                                <?php echo e(number_format($data['rate_unit'], session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $PurchaseRateUnit += $data['rate_unit'];
                                                ?>
                                            <?php elseif($data instanceof \App\DebitNote): ?>
                                                <?php echo e(number_format(-$data['rate_unit'], session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $DebitNoteRateUnit += $data['rate_unit'];
                                                ?>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminPurchaesInvoice): ?>
                                                <?php echo e(number_format($data['quantity'] * $data['rate_unit'], session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $PurchaseNetAmount += $data['quantity'] * $data['rate_unit'];
                                                ?>
                                            <?php elseif($data instanceof \App\DebitNote): ?>
                                                <?php echo e(number_format(-$data['quantity'] * $data['rate_unit'], session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $DebitNoteNetAmount += $data['quantity'] * $data['rate_unit'];
                                                ?>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                    <?php echo e($data['quantity']); ?>

                                                <?php
                                                    $SaleTotalQuantity += $data['quantity'];
                                                ?>
                                             <?php elseif($data instanceof \App\CreditNote): ?>
                                                    <?php echo e(-$data['quantity']); ?>

                                                <?php
                                                    $CreditNoteTotalQuantity += $data['quantity'];
                                                ?>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                <?php echo e(number_format($data['rate_unit'], session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $SaleRateUnit += $data['rate_unit'];
                                                ?>
                                            <?php elseif($data instanceof \App\CreditNote): ?>
                                                <?php echo e(number_format(-$data['rate_unit'], session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $CreditNoteRateUnit += $data['rate_unit'];
                                                ?>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                <?php echo e(number_format($data['quantity'] * $data['rate_unit'], session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $SaleNetAmount += $data['quantity'] * $data['rate_unit'];
                                                ?>
                                            <?php elseif($data instanceof \App\CreditNote): ?>
                                                <?php echo e(number_format(-$data['quantity'] * $data['rate_unit'], session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $CreditNoteNetAmount += $data['quantity'] * $data['rate_unit'];
                                                ?>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if(isset($data['po_no'])): ?>
                                                <?php echo e($data['po_no']); ?>

                                            <?php elseif(array_key_exists($data['id'], $profits)): ?>
                                                <?php echo e(number_format($profits[$data['id']], session('branch')->currency_decimal)); ?>

                                            <?php else: ?>

                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                    <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                    <tr>
                                        <td>Total</td>
                                        <td colspan="2"></td>
                                        
                                        <td><?php echo e($PurchaseTotalQuantity - $DebitNoteTotalQuantity + $totalObRemainingPurchaseQty); ?></td>
                                        
                                        <td></td>
                                        <td><?php echo e(number_format($PurchaseNetAmount + $obInventoryNetAmount - $DebitNoteNetAmount + $totalObRemainingPurchaseRate, session('branch')->currency_decimal)); ?></td>
                                        <td><?php echo e($SaleTotalQuantity - $CreditNoteTotalQuantity); ?></td>
                                        
                                        <td></td>
                                        <td><?php echo e(number_format($SaleNetAmount - $CreditNoteNetAmount, session('branch')->currency_decimal)); ?></td>
                                        
                                        <td></td>
                                    </tr>
                                
                                

                            </tbody>

                        </table>
                    </div>
                    <?php
                        $saleTotalQty = $SaleTotalQuantity - $CreditNoteTotalQuantity;

                        $purchaseTotalQty = $PurchaseTotalQuantity + $obInventoryTotalQuantity - $DebitNoteTotalQuantity + $totalObRemainingPurchaseQty;

                        $closingQty = $purchaseTotalQty - $saleTotalQty;

                        $purchaseTotalAmount = $PurchaseNetAmount + $obInventoryNetAmount - $DebitNoteNetAmount + $totalObRemainingPurchaseRate;

                        $saleTotalAmount = $SaleNetAmount - $CreditNoteNetAmount;

                        $closingAmount = $purchaseTotalAmount - $totalObRemainingPurchaseRate;

                    ?>

                    <br>
                    <div class="row">
                        <div class="col-md-4">
                        </div>
                        <div class="col-md-4">
                        </div>
                        <div class="col-md-4">
                            <div class="row">
                                <div class="col-md-6">
                                    
                                    

                                    <p>Opening Quantity : <span><?php echo e($totalObRemainingPurchaseQty); ?> Pcs</span></p>
                                    
                                    <p>Closing Quantity : <span><?php echo e($totalClosingQuantity); ?> Pcs</span></p>
                                </div>
                                <div class="col-md-6">
                                    <p>Opening Total : <span><?php echo e(number_format($totalObRemainingPurchaseRate, session('branch')->currency_decimal)); ?></span></p>
                                    
                                    <p>Closing Total : <span><?php echo e(number_format(abs($totalClosingTotal), session('branch')->currency_decimal)); ?></span></p>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/reports/particular-item-query-show-cost.blade.php ENDPATH**/ ?>