<?php $__env->startSection('content'); ?>

<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }
</style>


    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Statement of Accounts

                            </h6>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class=""><?php echo e($ClassOfAccount->name); ?></h6>
                            <h6 class="">Date : <span><?php echo e(\Carbon\Carbon::parse($from_date)->format('d-m-Y')); ?></span> To <span><?php echo e(\Carbon\Carbon::parse($to_date)->format('d-m-Y')); ?></span></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="#" target="_blank" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>
                            </div>
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                        <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Ledger Name</th>
                                    
                                    
                                    <th>Debit</th>
                                    <th>Credit</th>
                                </tr>
                            </thead>

                            <tbody>

                                    <?php
                                    $ObtotalDebit = 0;
                                    $ObtotalCredit = 0;
                                    $cbtotalDebit = 0;
                                    $cbtotalCredit = 0;
                                    $DebitClosingBalance = 0;
                                    $CreditClosingBalance = 0;
                                    ?>
                                    <?php $__currentLoopData = $allAccounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                        $currentTotalDebit = 0;
                                        $currentTotalCredit = 0;
                                        ?>
                                                <?php if(isset($totalDebit[$loop->index]['DebitBalance'])): ?>
                                                    <?php $currentTotalDebit += $totalDebit[$loop->index]['DebitBalance']; ?>
                                                <?php endif; ?>
                                                <?php if(isset($totalCredit[$loop->index]['creditBalance'])): ?>
                                                    <?php $currentTotalCredit += $totalCredit[$loop->index]['creditBalance']; ?>
                                                <?php endif; ?>
                                                <?php if(isset($obtotalDebit[$loop->index]['DebitBalance'])): ?>
                                                    <?php $ObtotalDebit += $obtotalDebit[$loop->index]['DebitBalance']; ?>
                                                <?php endif; ?>
                                                <?php if(isset($obtotalCredit[$loop->index]['creditBalance'])): ?>
                                                    <?php $ObtotalCredit += $obtotalCredit[$loop->index]['creditBalance']; ?>
                                                <?php endif; ?>
                                        <?php
                                            $DebitCB = $currentTotalDebit + $obtotalDebit[$loop->index]['DebitBalance'];
                                            $CreditCB = $currentTotalCredit + $obtotalCredit[$loop->index]['creditBalance'];
                                            $closingBalance = $DebitCB - $CreditCB;
                                        ?>
                                        <tr>
                                            <td><?php echo e($account->name_of_organisation ?? $account->account_name); ?></td>
                                            <td>
                                                <?php if($closingBalance >= 0): ?>
                                                    <?php if($closingBalance): ?>
                                                        <?php echo e(number_format($closingBalance, session('branch')->currency_decimal)); ?>

                                                    <?php endif; ?>
                                                    <?php $cbtotalDebit += $closingBalance; ?>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if($closingBalance < 0): ?>
                                                <?php if($closingBalance): ?>
                                                    <?php echo e(number_format(abs($closingBalance), session('branch')->currency_decimal)); ?>

                                                <?php endif; ?>
                                                    <?php $cbtotalCredit += $closingBalance; ?>
                                                <?php endif; ?>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    <?php if($account->name_of_organisation ?? $account->account_name == 'Cash'): ?>
                                        <tr >
                                            <td>Cash</td>
                                            <td><?php echo e(number_format($debitCashReportCB, session('branch')->currency_decimal)); ?> </td>
                                            <td><?php echo e(number_format(abs($creditCashReportCB), session('branch')->currency_decimal)); ?></td>
                                        </tr>
                                    <?php endif; ?>
                                    <?php if($account->name_of_organisation ?? $account->account_name == 'VAT'): ?>
                                        <tr>
                                            <td>Vat</td>
                                            <td><?php echo e(number_format($debitVatReportCB, session('branch')->currency_decimal)); ?> </td>
                                            <td><?php echo e(number_format(abs($creditVatReportCB), session('branch')->currency_decimal)); ?></td>
                                        </tr>
                                    <?php endif; ?>
                                    <?php if($account->name_of_organisation ?? $account->account_name == 'Discount'): ?>
                                        <tr>
                                            <td>Discount</td>
                                            <td><?php echo e(number_format($debitDiscountReportCB, session('branch')->currency_decimal)); ?> </td>
                                            <td><?php echo e(number_format(abs($creditDiscountReportCB), session('branch')->currency_decimal)); ?></td>
                                        </tr>
                                    <?php endif; ?>
                                    
                                    
                                    <?php

                                        if ($account->name_of_organisation ?? $account->account_name == 'Cash') {

                                            $debitTotal = $cbtotalDebit  + $debitCashReportCB;
                                            $creditTotal = $cbtotalCredit  + $creditCashReportCB;

                                        } elseif ($account->name_of_organisation ?? $account->account_name == 'VAT') {
                                            $debitTotal = $cbtotalDebit  + $debitVatReportCB;
                                            $creditTotal = $cbtotalCredit  + $creditVatReportCB;
                                        } elseif ($account->name_of_organisation ?? $account->account_name == 'Discount') {
                                            $debitTotal = $cbtotalDebit  + $debitDiscountReportCB;
                                            $creditTotal = $cbtotalCredit  + $creditDiscountReportCB;
                                        }else {
                                            $debitTotal = $cbtotalDebit ;
                                            $creditTotal = $cbtotalCredit ;
                                        }

                                    ?>
                                    <tr>
                                        <td><strong>Total</strong></td>
                                        <td>
                                            <strong><?php if($debitTotal): ?>
                                                        <?php echo e(number_format(abs($debitTotal), session('branch')->currency_decimal)); ?>

                                                    <?php endif; ?>
                                            </strong>
                                        </td>
                                        <td>
                                            <strong>
                                                <?php if($creditTotal): ?>
                                                    <?php echo e(number_format(abs($creditTotal), session('branch')->currency_decimal)); ?>

                                                <?php endif; ?>
                                            </strong>
                                        </td>
                                    </tr>
                                    
                            </tbody>
                        </table>
                        </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function showLedgerAccount(){
                var select_status=$('#ledger_account_class_id').val();

                if(select_status=='account'){
                    $('#account_class').show();
                    $('#select').hide();
                }
                else{
                    $('#account_class').hide();
                    $('#select').show();


                }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/reports/index_class_of_account.blade.php ENDPATH**/ ?>