<?php $__env->startSection('content'); ?>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Stock Report
                            </h6>
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">Item Name: <span><?php echo e($item->name); ?></span></h6>
                            <h6 class="">Date: <span><?php echo e($from_date); ?></span> To <span><?php echo e($to_date); ?></span></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                        <table  class="table table-hover table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th class="text-center">Date</th>
                                    <th class="text-center">Account Name</th>
                                    <th class="text-center">Voucher Description</th>
                                    <th class="text-center" colspan="3">Inward</th>
                                    <th class="text-center" colspan="4">Outward</th>
                                </tr>
                                <tr>
                                    <th></th>
                                    <th></th>
                                    <th></th>
                                    <th>QTY</th>
                                    <th>Rate</th>
                                    <th>Net Total</th>
                                    <th>QTY</th>
                                    <th>Rate</th>
                                    <th>Net Total</th>
                                    <th>Profit</th>
                                </tr>
                            </thead>

                            <tbody>
                                <?php
                                    $PurchaseTotalQuantity = 0;
                                    $PurchaseRateUnit = 0;
                                    $PurchaseNetAmount = 0;

                                    $obInventoryTotalQuantity = 0;
                                    $obInventoryRateUnit = 0;
                                    $obInventoryNetAmount = 0;

                                    $SaleTotalQuantity = 0;
                                    $SaleRateUnit = 0;
                                    $SaleNetAmount = 0;
                                    $SaleProfits = 0;

                                    $CreditNoteTotalQuantity = 0;
                                    $CreditNoteRateUnit = 0;
                                    $CreditNoteNetAmount = 0;
                                    $CreditNoteProfits = 0;

                                    $DebitNoteTotalQuantity = 0;
                                    $DebitNoteRateUnit = 0;
                                    $DebitNoteNetAmount = 0;
                                    $DebitNoteProfits = 0;
                                ?>
                                
                                <?php $__currentLoopData = $openingBalanceForInventory; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($data['date']); ?></td>
                                    <td>Opening Inventory</td>
                                    <td>
                                        <strong><a href="#">Inventory# <?php echo e($data['invoice_no']); ?></a></strong>
                                    </td>
                                    <td><strong><?php echo e($data['quantity']); ?></strong></td>
                                    <td><strong><?php echo e(number_format($data['rate_unit'], session('branch')->currency_decimal)); ?></strong></td>
                                    <td><strong><?php echo e(number_format($data['quantity'] * $data['rate_unit'], session('branch')->currency_decimal)); ?></strong></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                </tr>
                                <?php
                                    $obInventoryTotalQuantity += $data['quantity'];
                                    $obInventoryRateUnit += $data['rate_unit'];
                                    $obInventoryNetAmount += $data['quantity'] * $data['rate_unit'];
                                ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php $__currentLoopData = $originalPurchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($data['date']); ?></td>
                                    <td>
                                        <?php echo e($data['customer']['name_of_organisation'] ??
                                            $data['supplier']['name_of_organisation'] ??
                                            $data['Expense']['account_name'] ??
                                            $data['AdminOtherAccount']['account_name'] ??
                                            // $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                            ''); ?>

                                    </td>
                                    <td>
                                        <strong><a href="<?php echo e(route('crusher.purchase_invoices.show', ['purchase_invoice' => $data['id']])); ?>">Purchase# <?php echo e($data['invoice_no']); ?></a></strong>
                                    </td>
                                    <td><strong><?php echo e($data['quantity']); ?></strong></td>
                                    <td><strong><?php echo e(number_format($data['rate_unit'], session('branch')->currency_decimal)); ?></strong></td>
                                    <td><strong><?php echo e(number_format($data['quantity'] * $data['rate_unit'], session('branch')->currency_decimal)); ?></strong></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                </tr>
                                <?php
                                    $PurchaseTotalQuantity += $data['quantity'];
                                    $PurchaseRateUnit += $data['rate_unit'];
                                    $PurchaseNetAmount += $data['quantity'] * $data['rate_unit'];
                                ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            <?php $__currentLoopData = $salesInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($data['date']); ?></td>
                                    <td>
                                        <?php echo e($data['customer']['name_of_organisation'] ??
                                            $data['supplier']['name_of_organisation'] ??
                                            $data['Expense']['account_name'] ??
                                            $data['AdminOtherAccount']['account_name'] ??
                                            $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                            ''); ?>

                                    </td>
                                    <td>
                                        <strong><a href="<?php echo e(route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $data['id']])); ?>">Sale# <?php echo e($data['invoice_no']); ?></a></strong>
                                    </td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td><strong><?php echo e($data['quantity']); ?></strong></td>
                                    <td><strong><?php echo e(number_format($data['rate_unit'], session('branch')->currency_decimal)); ?></strong></td>
                                    <td><strong><?php echo e(number_format($data['quantity'] * $data['rate_unit'], session('branch')->currency_decimal)); ?></strong></td>
                                    <td>
                                        <?php if(isset($data['po_no'])): ?>
                                            <?php echo e($data['po_no']); ?>

                                        <?php elseif(array_key_exists($data['id'], $profits)): ?>
                                            <?php echo e(number_format($profits[$data['id']], session('branch')->currency_decimal)); ?>

                                        <?php else: ?>
                                            Not Available
                                        <?php endif; ?>
                                    </td>
                                    </tr>
                                    <?php
                                        $SaleTotalQuantity += $data['quantity'];
                                        $SaleRateUnit += $data['rate_unit'];
                                        $SaleNetAmount += $data['quantity'] * $data['rate_unit'];
                                        $SaleProfits += isset($data['po_no']) ? $data['po_no'] : (array_key_exists($data['id'], $profits) ? $profits[$data['id']] : 'Not Available');
                                    ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php $__currentLoopData = $salesReturn; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($data['date']); ?></td>
                                    <td>
                                        <?php echo e($data['customer']['name_of_organisation'] ??
                                            $data['supplier']['name_of_organisation'] ??
                                            $data['Expense']['account_name'] ??
                                            $data['AdminOtherAccount']['account_name'] ??
                                            $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                            ''); ?>

                                    </td>
                                    <td>
                                        <strong><a href="<?php echo e(route('crusher.credit_notes.show', ['credit_note' => $data['id']])); ?>">Credit Note# <?php echo e($data['invoice_no']); ?></a></strong>
                                    </td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td><strong><?php echo e(-$data['quantity']); ?></strong></td>
                                    <td><strong><?php echo e(number_format(-$data['rate_unit'], session('branch')->currency_decimal)); ?></strong></td>
                                    <td><strong><?php echo e(number_format(-$data['quantity'] * $data['rate_unit'], session('branch')->currency_decimal)); ?></strong></td>
                                    <td>
                                        <?php if(isset($data['po_no'])): ?>
                                            <?php echo e($data['po_no']); ?>

                                        <?php elseif(array_key_exists($data['id'], $profits)): ?>
                                            <?php echo e(number_format(-$profits[$data['id']], session('branch')->currency_decimal)); ?>

                                        <?php else: ?>
                                            N/A
                                        <?php endif; ?>
                                    </td>
                                    </tr>
                                    <?php
                                        $CreditNoteTotalQuantity += $data['quantity'];
                                        $CreditNoteRateUnit += $data['rate_unit'];
                                        $CreditNoteNetAmount += $data['quantity'] * $data['rate_unit'];
                                        $CreditNoteProfits += isset($data['po_no']) ? $data['po_no'] : (array_key_exists($data['id'], $profits) ? $profits[$data['id']] : 'Not Available');
                                    ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php $__currentLoopData = $purchaseReturn; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($data['date']); ?></td>
                                        <td>
                                            <?php echo e($data['customer']['name_of_organisation'] ??
                                                $data['supplier']['name_of_organisation'] ??
                                                $data['Expense']['account_name'] ??
                                                $data['AdminOtherAccount']['account_name'] ??
                                                // $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                                ''); ?>

                                        </td>
                                        <td>
                                            <strong><a href="<?php echo e(route('crusher.debit_notes.show', ['debit_note' => $data['id']])); ?>">Debit Note# <?php echo e($data['invoice_no']); ?></a></strong>
                                        </td>
                                        <td><strong><?php echo e(-$data['quantity']); ?></strong></td>
                                        <td><strong><?php echo e(number_format(-$data['rate_unit'], session('branch')->currency_decimal)); ?></strong></td>
                                        <td><strong><?php echo e(number_format(-$data['quantity'] * $data['rate_unit'], session('branch')->currency_decimal)); ?></strong></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                    <?php
                                        $DebitNoteTotalQuantity += $data['quantity'];
                                        $DebitNoteRateUnit += $data['rate_unit'];
                                        $DebitNoteNetAmount += $data['quantity'] * $data['rate_unit'];
                                    ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                    <tr>
                                        <td>Total</td>
                                        <td colspan="2"></td>
                                        
                                        <td><?php echo e($PurchaseTotalQuantity - $DebitNoteTotalQuantity + $totalObRemainingPurchaseQty); ?></td>
                                        
                                        <td></td>
                                        <td><?php echo e(number_format($PurchaseNetAmount + $obInventoryNetAmount - $DebitNoteNetAmount + $totalObRemainingPurchaseRate, session('branch')->currency_decimal)); ?></td>
                                        <td><?php echo e($SaleTotalQuantity - $CreditNoteTotalQuantity); ?></td>
                                        
                                        <td></td>
                                        <td><?php echo e(number_format($SaleNetAmount - $CreditNoteNetAmount, session('branch')->currency_decimal)); ?></td>
                                        
                                        <td></td>
                                    </tr>
                                
                                

                            </tbody>

                        </table>
                    </div>
                    <?php
                        $saleTotalQty = $SaleTotalQuantity - $CreditNoteTotalQuantity;

                        $purchaseTotalQty = $PurchaseTotalQuantity + $obInventoryTotalQuantity - $DebitNoteTotalQuantity + $totalObRemainingPurchaseQty;

                        $closingQty = $purchaseTotalQty - $saleTotalQty;

                        $purchaseTotalAmount = $PurchaseNetAmount + $obInventoryNetAmount - $DebitNoteNetAmount + $totalObRemainingPurchaseRate;

                        $saleTotalAmount = $SaleNetAmount - $CreditNoteNetAmount;

                        $closingAmount = $purchaseTotalAmount - $totalObRemainingPurchaseRate;

                    ?>
                    <br>
                    <div class="row">
                        <div class="col-md-4">
                        </div>
                        <div class="col-md-4">
                        </div>
                        <div class="col-md-4">
                            <div class="row">
                                <div class="col-md-6">
                                    
                                    

                                    <p>Opening Quantity : <span><?php echo e($totalObRemainingPurchaseQty); ?> Pcs</span></p>
                                    
                                    <p>Closing Quantity : <span><?php echo e($closingQty); ?> Pcs</span></p>
                                </div>
                                <div class="col-md-6">
                                    <p>Opening Total : <span><?php echo e(number_format($totalObRemainingPurchaseRate, session('branch')->currency_decimal)); ?></span></p>
                                    
                                    <p>Closing Total : <span><?php echo e(number_format(abs($closingTotal + $totalObRemainingPurchaseRate), session('branch')->currency_decimal)); ?></span></p>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/partial_view/complete-stock-item-report.blade.php ENDPATH**/ ?>