@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Edit Item Group Master</h6>
                            </div>
                        </div>
                        <form action="{{ route('crusher.item_groups.update', ['item_group'=>request()->item_group]) }}" class="outer-repeater" method="POST">
                            @csrf
                            @method('put')
                            <div data-repeater-list="outer-group" class="outer">
                                <div data-repeater-item class="outer">

                                    <div class="row">
                                        <div class="inner-repeater mb-12">
                                            <div data-repeater-list="inner-group" class="inner form-group">
                                                <label>Item Group :</label>
                                                <div data-repeater-item class="inner mb-3 row">
                                                    <div class="col-md-8 col-8">
                                                        <input type="text" name="name" value="{{ $itemGroup->name }}"
                                                            class="inner form-control" placeholder="Enter Item Group Name" />
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>

                                    <button class="btn btn-cust1 float-right" type="submit">Update Item
                                        Group</button>

                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->



    <div class="modal fade bs-example-modal-center1" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-check checkp "></i>
                            <h4 class="card-title font-size-18">Successfully Recorded
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->


    <div class="modal fade bs-example-modal-center2" tabindex="-2" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-times crossp "></i>
                            <h4 class="card-title font-size-18">Submission Failed
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
@endsection
