<!DOCTYPE html>
<html>
<head>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
</head>
<body>

<h2>Statement-of-Accounts Class</h2>
<h4>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</h4>

<table>

    <tr>
        <th>Ledger Name</th>
        <th>Amount</th>
    </tr>
    
    @foreach ($trial_balance_closing_balance as $closing_balance)
        <tr>
            <td>{{ $closing_balance['ledger']-> name_of_organisation }}</td>
            <td>{{ $closing_balance['closing_balance_decimal'] }}</td>
        </tr>
    @endforeach
    
</table>

</body>
</html>
