
@extends('layouts.master_user')
@section('page-title')
Total VAT IN & OUT Report
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }

    #top {
        margin-top: 100px;
    }

</style>

@endsection
@section('reports')
active
@endsection
@section('total-vat-in-out-report')
active
@endsection
@section('content')

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form method="get" class="form-horizontal">
                <div class="form-group">
                    <div class="col-sm-12">
                        <label for="select_type">Select Report Type</label>
                        <select name="report_type" id="report_type" class="form-control" onchange="showDate()">
                            <option value="">Select Report Type</option>
                            <option value="date_wise">Date Wise</option>
                            <option value="month_wise">Month Wise</option>
                        </select>
                    </div>
                </div>
                <div class="form-group display-none" id="select_month_or_date">
                    <div class="col-sm-4">
                        <label>From Date </label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" value="">
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <label>To Date </label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" value="">
                        </div>
                    </div>
                </div>
            </form>
            <div class="form-group top">
                <button class="btn btn-secondary " type="button" onclick="reportDisplay()"><i class="fa fa-check"></i>&nbsp;Display</button>
            </div>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function reportDisplay(){
                var select_type=$('#report_type').val();
                if(select_type=='date_wise'){
                    window.location.href="total-vat-in-out-report-display-date-wise";
                }
                else{
                    window.location.href="total-vat-in-out-report-display-month-wise";
                }
            }
            function showDate(){
                var select_type=$('#report_type').val();
                if(select_type=='date_wise'){
                    $('#select_month_or_date').show();
                    //window.location.href="total-vat-in-out-report-display-date-wise";
                }
                if(select_type=='month_wise'){
                    $('#select_month_or_date').hide();
                }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>@endsection
