<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Delivery Note</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form action="<?php echo e(route('software.delivery_notes.store')); ?>" class="outer-repeater" method="POST">
                        <?php echo csrf_field(); ?>


                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Delivery Note #</label>
                                    <input class="form-control" readonly placeholder="" id="example-password-input"
                                        value="<?php echo e($newDoNumber); ?>" name="do_no">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input class="form-control PeriodClosingDate" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                        value="<?php echo e(date('Y-m-d')); ?>" name="date">
                                </div>
                            </div>
                        </div>


                        <div class="row">

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <!-- <div class="form-group">
                                                                        <label>LPO(DUE DAYS)</label>
                                                                        <input class="form-control" type="text"
                                                                            placeholder="Enter LPO(DUE DAYS)" id="example-password-input">
                                                                    </div> -->
                            </div>
                        </div>

                        <div class="row">

                            <div class="col-md-3 float-right">
                                <label for="name">Quotation #</label>
                                <div class="form-group">
                                    <input class="form-control" readonly placeholder="Quotation #"
                                        id="example-password-input"
                                        value="<?php echo e(count($quotations) > 0 ? $quotations[0]->quotation_no : ''); ?>"
                                        name="quotation_no">
                                </div>
                            </div>


                            <div class="col-md-6">

                            </div>
                        </div>

                        <!-- <div class="custom-control custom-switch mb-2" dir="ltr">
                                                                <input type="checkbox" class="custom-control-input master"
                                                                    id="customSwitch2" unchecked>
                                                                <label class="custom-control-label" for="customSwitch2">VAT</label>
                                                            </div> -->


                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="account">Account Name:</label>
                                    <select id="account" class="form-control select2" name="account_id"
                                        >
                                        <option value="" selected disabled>Select Account</option>

                                         
                                         <?php $__empty_1 = true; $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                         <option value="<?php echo e($account->id); ?>"
                                             <?php echo e(old('account_id') == $account->id || ($quotations && $quotations->count() > 0 && $quotations[0]->account_id == $account->id) ? 'selected' : ''); ?>

                                             data-account-type="<?php echo e($account->table_name); ?>" data-account-name="<?php echo e($account->account_name); ?>" data-acc-no="<?php echo e($account->account_no); ?>">
                                             <?php echo e($account->account_name); ?>


                                         </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <option value="" disabled>No accounts available</option>
                                        <?php endif; ?>

                                        <option value="modal1" <?php echo e(old('account_id') == 'modal1' ? 'selected' : ''); ?>>
                                            Add New Account
                                        </option>
                                    </select>

                                    <input type="hidden" name="account_type" id="account_type">
                                    <input type="hidden" name="account_name" class="account_name">
                                    <input type="hidden" class="acc_no" name="acc_no" id="acc_no">

                                    <?php $__errorArgs = ['account_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>

                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Item Name</th>
                                            <th>Item Unit</th>
                                            <th>Item Description</th>
                                            <th>Quantity</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>

                                    <tbody id="table-body">
                                        <?php if($quotations): ?>
                                        <?php $__currentLoopData = $quotations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $quotation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr class="clone-row">
                                            <td>
                                                <div class="form-group">
                                                    <select class="form-control select2 itemDropdown" name="item_id[]">
                                                        <option value="" selected disabled>Select Item</option>
                                                        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($item->id); ?>"
                                                            <?php echo e($item->id == $quotation->item_id ? 'selected' : ''); ?> data-unit="<?php echo e($item->unit->unit); ?>">
                                                            <?php echo e($item->name); ?>

                                                        </option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    <input type="text" class="form-control unitInput" name="item_unit[]" readonly placeholder="Item unit">
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    <textarea name="item_description[]" class="form-control" rows="1" placeholder="Item Description"><?php echo e($quotation->item_description); ?></textarea>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group">
                                                    <input name="quantity[]" class="form-control quantity-input"
                                                        type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Quantity"  value="<?php echo e($quotation->quantity); ?>" >
                                                </div>
                                            </td>
                                            <td>
                                                <a href="#" class="delete-row-btn"> <i
                                                        class="fas fa-trash-alt inner"></i></a>
                                            </td>
                                        </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                    <tr class="clone-row">
                                        <td>
                                            <div class="form-group">
                                                <select class="form-control select2 itemDropdown" name="item_id[]">
                                                    <option value="" disabled>Select Item</option>
                                                    <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($item->id); ?>" data-unit="<?php echo e($item->unit->unit); ?>">
                                                            <?php echo e($item->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="form-group">
                                                <input type="text" class="form-control unitInput" name="item_unit[]" readonly placeholder="Item unit">
                                            </div>
                                        </td>
                                        <td>
                                            <div class="form-group">
                                                <textarea name="item_description[]" class="form-control" rows="1" placeholder="Item Description"></textarea>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="form-group">
                                                <input name="quantity[]" class="form-control quantity-input"
                                                    type="number" placeholder="Quantity">
                                            </div>
                                        </td>
                                        <td>
                                            <a href="#" class="delete-row-btn"> <i
                                                    class="fas fa-trash-alt inner"></i></a>
                                        </td>
                                    </tr>
                                <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-8">
                                <?php if(!request()->has('quotation_no')): ?>
                                    <a id="add-more-button" class="btn btn-outline-primary">Add more</a>
                                <?php endif; ?>
                            </div>
                            <div class="col-md-4">
                            </div>
                        </div>

                        <br>

                        <div class="row">

                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label for="total-quantity">Total Quantity : </label>
                                    <input id="total-quantity" name="total_quantity"
                                        class="custin<?php echo e($errors->has('total_quantity') ? ' is-invalid' : ''); ?>"
                                        value="<?php echo e(old('total_quantity', '0')); ?>">
                                    <?php if($errors->has('total_quantity')): ?>
                                        <div class="invalid-feedback"><?php echo e($errors->first('total_quantity')); ?></div>
                                    <?php endif; ?>
                                </strong>
                            </div>


                            <div class="col-md-8">
                            </div>




                        </div>

                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Term & Conditions</label>
                                    <p><?php echo e($tnc->description ?? ''); ?></p>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="narrations">Narrations</label>
                                    <textarea class="form-control<?php echo e($errors->has('narrations') ? ' is-invalid' : ''); ?>" rows="4"
                                        placeholder="Enter Address" id="example-textarea-input" name="narrations"><?php echo e(old('narrations')); ?></textarea>
                                    <?php if($errors->has('narrations')): ?>
                                        <div class="invalid-feedback"><?php echo e($errors->first('narrations')); ?></div>
                                    <?php endif; ?>
                                </div>
                            </div>


                        </div>

                        <button class="btn btn-cust1 float-right" type="submit">Create Delivery
                            Note</button>



                    </form>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->

    <div id="modal2" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal2Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal2Label">Modal 2</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 2</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal3" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal3Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal3Label">Modal 3</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 3</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">C lose</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modals -->
    <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <form id="buyer-form">
                <?php echo csrf_field(); ?>
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myModalLabel">Buyer Information :</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Name :</label>
                                <input class="form-control" type="text" placeholder="Enter Name"
                                    id="example-password-input" name="name" id="name">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Phone # :</label>
                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Phone #"
                                    id="example-password-input" name="phone" id="phone">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Email :</label>
                                <input class="form-control" type="text" placeholder="Enter Email"
                                    id="example-password-input" name="email" id="email">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Vat Number :</label>
                                <input class="form-control" type="text" placeholder="Vat Number"
                                    id="example-password-input" name="vat_number" name="vat_number">
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Address :</label>
                                <textarea class="form-control" rows="3" type="text" placeholder="Enter Address"
                                    id="example-textarea-input" name="address" id="address">
                        </textarea>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="invoice_no" value="<?php echo e($newDoNumber); ?>" id="invoice_no">
                        <input type="hidden" name="type" value="delivery_note" id="type">
                        <button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary waves-effect waves-light">Save</button>
                    </div>
            </form>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->

    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>

<script>
    // Function to open the modal and set values
    function openAndSetValues() {
        // Replace the placeholder values with actual values
        var values = {
            name: 'John Doe',
            phone: '123456789',
            email: 'john@example.com',
            vat_number: 'VAT123',
            address: '123 Main Street'
        };

        // Set the values in the modal
        $('#name').val(values.name);
        $('#phone').val(values.phone);
        $('#email').val(values.email);
        $('#vat_number').val(values.vat_number);
        $('#address').val(values.address);

        // Open the modal
        $('#modal1').modal('show');
    }

    // Function to clear values when the modal is closed
    function clearValues() {
        $('#name').val('');
        $('#phone').val('');
        $('#email').val('');
        $('#vat_number').val('');
        $('#address').val('');
    }

    // Save button click event
    $('#modal1').on('click', '.btn-primary', function() {
        // Process the saved values here if needed
        // ...

        // Close the modal
        $('#modal1').modal('hide');
    });

    // Attach event handlers
    $('#modal1').on('show.bs.modal', openAndSetValues);
    $('#modal1').on('hidden.bs.modal', clearValues);
</script>
    <script>
        $(document).ready(function() {
            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function(e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });
        });

        $(document).ready(function() {
            $('#add-more-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);
            });

            $('#add-clone-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);
            });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>

    <script>

        $(newRow).find('.select2').select2();

        const addMoreButton = document.getElementById('add-more-button');
        const tableBody = document.getElementById('table-body');
        const totalQuantityInput = document.getElementById('total-quantity');

        let totalQuantity = parseFloat(totalQuantityInput.value);

        addMoreButton.addEventListener('click', () => {
            const cloneRow = tableBody.querySelector('.clone-row');
            const newRow = cloneRow.cloneNode(true);

            const inputs = newRow.querySelectorAll('input, select, textarea');
            inputs.forEach(input => {
                input.value = '';
            });

            tableBody.appendChild(newRow);
        });

        tableBody.addEventListener('keyup', event => {
            if (event.target.classList.contains('delete-row-btn')) {
                const row = event.target.closest('tr');
                const quantityInput = row.querySelectorAll('.quantity-input');
                totalQuantity -= parseFloat(quantityInput.value) || 0;
                updateTotalQuantity();
                row.remove();
            }
        });

        tableBody.addEventListener('keyup', event => {
            if (event.target.classList.contains('quantity-input')) {
                updateTotalQuantity();
            }
        });

        function updateTotalQuantity() {
            totalQuantity = 0;

            const quantityInputs = document.querySelectorAll('.quantity-input');
            quantityInputs.forEach(input => {
                totalQuantity += parseFloat(input.value) || 0;
            });

            totalQuantityInput.value = totalQuantity;
        }
    </script>
    <script>
        // JavaScript to update the hidden input field when the dropdown selection changes
        $(document).ready(function() {
            function updateAccountType() {
                var selectedOption = $('#account option:selected'); // Use jQuery to get selected option
                var accountType = selectedOption.data('account-type');
                var accountName = selectedOption.data('account-name');
                var accNo = selectedOption.data('acc-no');
                $('#account_type').val(accountType);
                $('.account_name').val(accountName);
                $('.acc_no').val(accNo);


            }

            // Run the function once when the page is ready
            updateAccountType();

            // Add an event listener to update the hidden input when the selection changes
            $('#account').change(updateAccountType);
        });
    </script>
    <script>
        $(document).ready(function(){
            // Attach change event listener to all itemDropdown elements
            $(document).on('change', '.itemDropdown', function(){
                var selectedUnit = $(this).find(':selected').data('unit');
                // Find the corresponding unitInput in the same row and update its value
                $(this).closest('tr').find('.unitInput').val(selectedUnit);
            });
        });
    </script>
    <?php
    use App\Branches;
    use Carbon\Carbon;

    $selectedBranchId = session('selected_branch');

    $branch = Branches::where('id', $selectedBranchId)->first();
?>

<script>
    <?php if(!empty($selectedBranchId)): ?>
        document.addEventListener("DOMContentLoaded", function() {
            var periodClosings = <?php echo json_encode($periodClosings); ?>;

            function isBeforePeriodClosing(date) {
                var selectedDate = new Date(date);
                for (var i = 0; i < periodClosings.length; i++) {
                    var closingDate = new Date(periodClosings[i]);
                    if (selectedDate < closingDate) {
                        return true;
                    }
                }
                return false;
            }

            function setColor(dateInput) {
                var selectedDate = dateInput.value;
                if (isBeforePeriodClosing(selectedDate)) {
                    dateInput.style.backgroundColor = 'lightgrey';
                } else {
                    dateInput.style.backgroundColor = '';
                }
            }

            var periodClosingDateInputs = document.querySelectorAll('.PeriodClosingDate');
            periodClosingDateInputs.forEach(function(input) {
                input.addEventListener('change', function() {
                    setColor(this);
                    if (isBeforePeriodClosing(this.value)) {
                        <?php if(!Branches::hasBranchPermission($selectedBranchId, 'Back Dated Entry As Per User Credentials')): ?>
                            window.alert("Do you want to enter a closing period? Please contact admin.");
                            this.value = '';
                        <?php else: ?>
                            window.alert("Do you want to enter a closing period?");
                        <?php endif; ?>
                    }
                });
                setColor(input);
            });
        });
    <?php endif; ?>
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/trans_delivery_note/create.blade.php ENDPATH**/ ?>