<?php $__env->startSection('content'); ?>





    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Edit Other Account Master</h6>
                        </div>
                    </div>
                    <form method="POST" action="<?php echo e(route('software.other_accounts.update', ['other_account'=>$otherAccount->id] )); ?>" class="outer-repeater">

                    <?php echo csrf_field(); ?>
                    <?php echo method_field('put'); ?>
                        <div class="row">



                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Account Opening Balance</label>
                                    <?php if(auth()->user()->role=='subadmin'): ?>
                                    <input class="form-control" value="<?php echo e($otherAccount->opening_balance); ?>"
                                    placeholder="Account Opening Balance"
                                    id="example-password-input" disabled>
                                    <?php else: ?>
                                    <input class="form-control" type="text" name="opening_balance" value="<?php echo e($otherAccount->opening_balance); ?>"
                                        placeholder="Account Opening Balance"
                                        id="example-password-input">
                                    <?php endif; ?>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="control-label">Debit/Credit</label>
                                    <select class="form-control select2" name="type">
                                        <option value="">Select Debit/Credit</option>
                                        <option value="debit" <?php if(isset($otherAccount) && $otherAccount->type == 'debit'): ?> selected <?php endif; ?>>Debit</option>
                                        <option value="credit" <?php if(isset($otherAccount) && $otherAccount->type == 'credit'): ?> selected <?php endif; ?>>Credit</option>
                                    </select>
                                </div>
                            </div>



                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input class="form-control" name="date" value="<?php echo e($otherAccount->date); ?>" type="date" pattern="\d{4}-\d{2}-\d{2}">
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Account Name</label>
                                    <input class="form-control" type="text" name="account_name" value="<?php echo e($otherAccount->account_name); ?>"
                                        placeholder="Enter Account Name" id="example-text-input">
                                        <?php if($errors->has('account_name')): ?>
                                        <div class="text-danger"><?php echo e($errors->first('account_name')); ?></div>
                                        <?php endif; ?>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label">Class Of Account</label>
                                    <select class="form-control select2" name="class_of_account_id">
                                        <option>Select Class of Account</option>
                                        <?php $__empty_1 = true; $__currentLoopData = $classOfAccount; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <option value="<?php echo e($account->id); ?>"
                                                <?php if(old('class_of_account_id', $otherAccount->class_of_account_id) == $account->id): ?> selected <?php endif; ?>>
                                                <?php echo e($account->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <?php endif; ?>
                                    </select>
                                    <?php if($errors->has('class_of_account_id')): ?>
                                    <div class="text-danger"><?php echo e($errors->first('class_of_account_id')); ?></div>
                                    <?php endif; ?>
                                </div>
                            </div>




                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Description</label>
                                    <textarea class="form-control" rows="4" type="text" name="description" placeholder="Enter Address"
                                        id="example-textarea-input"><?php echo e($otherAccount->description); ?></textarea>
                                </div>
                            </div>

                        </div>


                        <button class="btn btn-cust1 float-right" type="submit">Edit Other Account</button>



                    </form>

                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->



    <div class="modal fade bs-example-modal-center1" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-check checkp "></i>
                            <h4 class="card-title font-size-18">Successfully Recorded
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->


    <div class="modal fade bs-example-modal-center2" tabindex="-2" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-times crossp "></i>
                            <h4 class="card-title font-size-18">Submission Failed
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/otheraccount_master/edit.blade.php ENDPATH**/ ?>