@extends('layouts.master_user')
@section('page-title')
Currency Master
@endsection
@section('css')
@endsection
@section('master')
active
@endsection
@section('currencies')
active
@endsection
@section('content')

{{--@section('page-breadcrumb')
<li>
    <a href="/admin">Dashboard</a>
</li>
<li class="active">
    <strong>
        Currency</strong>
</li>
@endsection--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Add Supplier</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form id="create_form" class="form-horizontal" method="POST" action="/masters/currencies/{{ $currency->id }}" enctype="multipart/form-data">
                {{ method_field('PATCH') }}
                {{ csrf_field() }}
                <div class="form-group">
                    <div class="col-sm-12">
                        <label>Currency Id</label>
                        <input type="text" id="currency_id" name="currency_id" value="{{ $currency->currency_id }}" class="form-control"
                            placeholder="Currency Id" required>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Currency Detail</label>
                        <input type="text" id="currency_detail" name="currency_detail" value="{{ $currency->currency_detail }}" class="form-control"
                            placeholder="Currency Detail" required>
                    </div>
                    <div class="col-sm-6">
                        <label>Decimal Currency</label>
                        <input type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" min="0" id="decimal_currency" name="decimal_currency" value="{{ $currency->decimal_currency }}" class="form-control"
                            placeholder="Decimal Currency" required>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Minor Unit</label>
                        <input type="text" id="minor_unit" name="minor_unit"  value="{{ $currency->minor_unit }}" class="form-control"
                            placeholder="Minor Unit" required>
                    </div>
                    {{-- <div class="col-sm-6">
                        <label>Currency Rounding</label>
                        <input type="text" id="currency_rounding" name="currency_rounding" value="{{ $currency->currency_rounding }}" class="form-control"
                            placeholder="Currency Rounding" required>
                    </div> --}}

                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <button class="btn btn-primary pull-right" type="submit">Update Currency</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $('#create_form').validate(
        {ignore : ":hidden:not(.selectpicker)"  }
    );
</script>
@endsection
