
@extends('layouts.master_user')
@section('page-title')
Period Closing
@endsection
@section('css')
<style>


</style>
@endsection
@section('master')
active
@endsection
@section('period-closing')
active
@endsection
@section('content')

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form class="form-horizontal" method="POST" action="/masters/period-closing" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>From Date </label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" name="from_date" id="from_date" value="" required>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <label>To Date </label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" name="to_date" id="to_date" value="" required>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label for="carry-opening-balance"> <input type="checkbox" value="1" name="carry_opening_balance" id="carry_opening_balance"> Carry Opening Balance</label>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <input type="submit" value="Close this Period" class="btn btn-primary pull-right">
                    </div>
                </div>

            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
           function showDayBookReport(){
            window.location.href="sales-report-display";
            }

    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
@endsection
