
@extends('layouts.master_user')
@section('page-title')
Total VAT IN & OUT Report Month Wise
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }

    #top {
        margin-top: 100px;
    }
    th{
        text-align: center;
    }
    .table td:first-child{
        text-align: center;
    }
</style>

@endsection
@section('reports')
active
@endsection
@section('offical-vat-report-month-wise')
active
@endsection
@section('content')

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <div class="row">
                <div class="form-group top pull-right">
                    <button class="btn btn-secondary " type="button"><i class="fa fa fa-print"></i>&nbsp;&nbsp;<span
                    class="bold">Print</span></button>
                    <button class="btn btn-secondary " type="button"><i class="fa fa-file-pdf-o"></i> PDF Format</button>
                    <button class="btn btn-secondary " type="button"><i class="fa fa fa-envelope"></i>&nbsp;&nbsp;Email (PDF
                    Format)</button>
                </div>
            </div>
            <form method="get" class="form-horizontal">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>Date</th>
                            <th colspan="2">VAT on Purchase</th>
                            <th colspan="2">VAT on Sales</th>
                            <th colspan="2">VAT Payable</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td width="10%">
                            </td>
                            <td width="15%">
                                <b><p>INV #</p></b>
                            </td>
                            <td width="15%">
                                <b><p>Amount</p></b>
                            </td>
                            <td width="15%">
                                <b><p>INV #</p></b>
                            </td>
                            <td width="15%">
                                <b><p>Amount</p></b>
                            </td>
                            <td width="15%">
                                <b><p>Purchase</p></b>
                            </td>
                            <td width="15%">
                                <b><p>Sales</p></b>
                            </td>
                        </tr>

                        <tr>
                            <td>
                                <p>12/11/2020</p>
                            </td>
                            <td>
                                <p>INV 5050 #</p>
                            </td>
                            <td>
                                <p>25000</p>
                            </td>
                            <td>
                                <p>INV 5050 #</p>
                            </td>
                            <td>
                                <p>25000</p>
                            </td>
                            <td>
                                <p>25000</p>
                            </td>
                            <td>
                                <p>25000</p>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function reportDisplay(){
                var select_type=$('#report_type').val();
                if(select_type=='date_wise'){
                    window.location.href="total-vat-in-out-report-display-date-wise";
                }
                else{
                    window.location.href="total-vat-in-out-report-display-month-wise";
                }
            }
            function showDate(){
                var select_type=$('#report_type').val();
                if(select_type=='date_wise'){
                    $('#select_month_or_date').show();
                    //window.location.href="total-vat-in-out-report-display-date-wise";
                }
                if(select_type=='month_wise'){
                    $('#select_month_or_date').hide();
                }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>@endsection
